DNSResolveEntry (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.DNSResolveEntry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface DNSResolveEntry

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DNSResolveEntry

extends LogicalElement

Represents an DNS resolution entry

Naming Rules:
  0="parent,serverIp"
Persistable:
  true
Table Name:
  DNSRESLV
Display Name:
  serverIp

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`OperatingSystem` | `getParent()`
`int` | `getSearchOrder()`
`java.lang.String` | `getServerIp()`
`boolean` | `hasParent()`
`boolean` | `hasSearchOrder()`
`boolean` | `hasServerIp()`
`void` | `setParent(OperatingSystem parent)`
`void` | `setSearchOrder(int order)`
`void` | `setServerIp(java.lang.String ip)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    OperatingSystem getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(OperatingSystem parent)

### hasParent

    boolean hasParent()

### getServerIp

    java.lang.String getServerIp()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerIp

    void setServerIp(java.lang.String ip)

### hasServerIp

    boolean hasServerIp()

### getSearchOrder

    int getSearchOrder()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSearchOrder

    void setSearchOrder(int order)

### hasSearchOrder

    boolean hasSearchOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD